Package de.willuhn.jameica.hbci.io

# Interface IOFormat

All Known Implementing Classes:
  `VelocityExporter.VelocityFormat`

public interface IOFormat
Dieses Interface kapselt die Datei-Formate. Jeder Importer oder Exporter unterstuetzt ein oder mehrere Dateiformate. Ueber `de.willuhn.jameica.hbci.io.IO#getIOFormats(Class type)` kann ein Importer/Exporter abgefragt werden, welche Formate er unterstuetzt.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getFileExtensions()`
Liefert die Datei-Endungen des Formats.
`String`
`getName()`
Liefert einen sprechenden Namen fuer das Datei-Format.

## Method Details

### getName

String getName()
Liefert einen sprechenden Namen fuer das Datei-Format. Zum Beispiel "CSV-Datei"

Returns:
  Sprechender Name des Datei-Formats.

### getFileExtensions

String[] getFileExtensions()
Liefert die Datei-Endungen des Formats. Zum Beispiel "*.csv" oder "*.txt".

Returns:
  Datei-Endung.